clang 8.0.0

Classes | Namespaces | Functions
SemaInternal.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/Sema/Lookup.h"`
`#include "clang/Sema/Sema.h"`
`#include "clang/Sema/SemaDiagnostic.h"`
Include dependency graph for SemaInternal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::TypoCorrectionConsumer
class | clang::TypoCorrectionConsumer::NamespaceSpecifierSet::iterator
| Provides flat iteration over specifiers, sorted by distance. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
bool | clang::FTIHasSingleVoidParameter (const DeclaratorChunk::FunctionTypeInfo &FTI)
bool | clang::FTIHasNonVoidParameters (const DeclaratorChunk::FunctionTypeInfo &FTI)
bool | clang::IsVariableAConstantExpression (VarDecl *Var, ASTContext &Context)
bool | clang::DeclAttrsMatchCUDAMode (const LangOptions &LangOpts, Decl *D)
void | clang::MarkVarDeclODRUsed (VarDecl *Var, SourceLocation Loc, Sema &SemaRef, const unsigned *const FunctionScopeIndexToStopAt)
InheritableAttr * | clang::getDLLAttr (Decl *D)
| Return a DLL attribute from the declaration. More...
std::pair< unsigned, unsigned > | clang::getDepthAndIndex (NamedDecl *ND)
| Retrieve the depth and index of a template parameter. More...
std::pair< unsigned, unsigned > | clang::getDepthAndIndex (UnexpandedParameterPack UPP)
| Retrieve the depth and index of an unexpanded parameter pack. More...